Subject: bug#49317: dist: depends on $(BUILT_SOURCES), but has no reason to

From: Karl Berry <[email-masked]>
Date: Thu, 1 Jul 2021 16:15:16 -0600

GNU Hello builds its manpage (which it dists) by building and running
    the binary and capturing its --help output.

This is quite common (among GNU packages anyway). So it is not
surprising Jim (hi Jim) committed a general solution.

    A blanket depend on $(BUILT_SOURCES) for all automake-using projects
    seems to be much too large of a hammer to solve that specific problem.

I tend to agree, but at this point I would not want to create an
incompatibility by undoing it. Instead, I guess a new option (for
AUTOMAKE_OPTIONS) would be needed. A patch would be welcome.

Jim, maybe you have other/more ideas ... --thanks, karl.